> ## Documentation Index
> Fetch the complete documentation index at: https://vectorly-783efd43.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Login with password.

> Login in with user name and password.

On success, the return value of the API will be a token which can then be
used as an identification to call other APIs.



## OpenAPI

````yaml post /base/login
openapi: 3.1.0
info:
  title: Coinfer Server API
  version: 0.0.1776236533+0db4b8c
  description: |+

    This part of document describes the HTTP APIs of the Coinfer cloud.

servers:
  - url: https://api.coinfer.ai
    description: The production environment
  - url: https://dev.coinfer.ai
    description: The development environment
security: []
tags:
  - name: Object
    description: APIs related to object CRUD operations.
  - name: Invoke
    description: APIs used to invoke CloudFunction or run workflow.
  - name: Notification
    description: APIs related to notification.
  - name: Authorization
    description: >-
      APIs related to user, token, login, etc.


      Normally APIs in this group should not be used. You should get API token
      from our website and then use the token to call other APIs.
paths:
  /base/login:
    post:
      tags:
        - Authorization
      summary: Login with password.
      description: >-
        Login in with user name and password.


        On success, the return value of the API will be a token which can then
        be

        used as an identification to call other APIs.
      operationId: coinfer_apis_base_api_user_login
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserLogin'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccRsp_UserLoginRsp_'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrRsp'
components:
  schemas:
    UserLogin:
      properties:
        username:
          title: Username
          type: string
        password:
          title: Password
          type: string
      required:
        - username
        - password
      title: UserLogin
      type: object
    SuccRsp_UserLoginRsp_:
      properties:
        status:
          const: ok
          title: Status
          type: string
        data:
          $ref: '#/components/schemas/UserLoginRsp'
      required:
        - status
        - data
      title: SuccRsp[UserLoginRsp]
      type: object
    ErrRsp:
      properties:
        status:
          const: error
          title: Status
          type: string
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - status
        - code
        - message
      title: ErrRsp
      type: object
    UserLoginRsp:
      properties:
        tokens:
          items:
            type: string
          title: Tokens
          type: array
      required:
        - tokens
      title: UserLoginRsp
      type: object

````